summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2012-02-05 19:14:16 +0000
committerMike Gilbert <floppym@gentoo.org>2012-02-05 19:14:16 +0000
commitd9664b35b06b141b5826ba43c84deba666682653 (patch)
treecae490052ecc4d28fd51eb2e077e2d01234f7b23 /eclass/mercurial.eclass
parentDrop sparc keywords (diff)
downloadgentoo-2-d9664b35b06b141b5826ba43c84deba666682653.tar.gz
gentoo-2-d9664b35b06b141b5826ba43c84deba666682653.tar.bz2
gentoo-2-d9664b35b06b141b5826ba43c84deba666682653.zip
Don't die if hg pull exits with status 1.
Diffstat (limited to 'eclass/mercurial.eclass')
-rw-r--r--eclass/mercurial.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/mercurial.eclass b/eclass/mercurial.eclass
index a68691507338..ef55d816aed6 100644
--- a/eclass/mercurial.eclass
+++ b/eclass/mercurial.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mercurial.eclass,v 1.17 2011/12/27 17:55:12 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mercurial.eclass,v 1.18 2012/02/05 19:14:16 floppym Exp $
# @ECLASS: mercurial.eclass
# @MAINTAINER:
@@ -113,7 +113,9 @@ function mercurial_fetch {
elif [[ -z "${EHG_OFFLINE}" ]]; then
einfo "Updating ${EHG_STORE_DIR}/${EHG_PROJECT}/${module} from ${EHG_REPO_URI}"
cd "${module}" || die "failed to cd to ${module}"
- ${EHG_PULL_CMD} || die "update failed"
+ ${EHG_PULL_CMD}
+ # mercurial-2.1: hg pull returns 1 if there are no incoming changesets
+ [[ $? -eq 0 || $? -eq 1 ]] || die "update failed"
fi
# Checkout working copy: